Subscriptions
All operations require authentication.
List subscriptionsAlpha
Returns the IDs of the subscriptions of the tenant.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a subscriptionAlpha
Returns the license ID, number of licenses, status, and creation and last update dates of the subscription.
Path parameters
Id
Service name
Response
Creation date
Subscription's unique identifier
Last update date
License's type id
Number of available licenses
Subscription's status
Pending task's unique identifier
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "licenseId": 0, "quantity": 0, "status": "string", "taskPendingId": 0}
Create a subscriptionAlpha
Creates a subscription for quantity licenses of the license licenseId, and returns the task. Get the license IDs from orderableLicenses.
Path parameters
Service name
Request body (required)
License's type unique identifier
Quantity of licenses to order
Response
Completion date
Function name
Unique identifier of the task
Task state
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete a subscriptionAlpha
Deletes the subscription from the tenant and returns the task.
Path parameters
Id
Service name
Response
Completion date
Function name
Unique identifier of the task
Task state
cancelleddoingdoneerrortodoCreation date
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List add-on subscriptionsAlpha
Returns the IDs of the add-on subscriptions attached to the subscription.
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription/ {id}/ addonsSubscriptionIds \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
List available add-on licensesAlpha
Returns the IDs of the licenses that can be ordered as an add-on for the subscription.
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription/ {id}/ availableAddonLicenses \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Change a subscription quantityAlpha
Sets the number of seats of the subscription to quantity, and returns the task.
Path parameters
Id
Service name
Request body (required)
New seat quantity
Response
Completion date
Function name
Unique identifier of the task
Task state
cancelleddoingdoneerrortodoCreation date
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription/ {id}/ changeQuantity \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Order an add-on subscriptionAlpha
Creates an add-on subscription for the subscription, with quantity seats of the license licenseId, and returns the task. Get the license IDs from availableAddonLicenses.
Path parameters
Id
Service name
Request body (required)
License id associated to this addon subscription (see subscription//availableAddonLicenses)
Seat quantity of the new subscription
Response
Completion date
Function name
Unique identifier of the task
Task state
cancelleddoingdoneerrortodoCreation date
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ subscription/ {id}/ orderAddon \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}